Vypsat odeslané zprávy podle data
curl --request GET \
--url https://rest-api.smsmngr.com/v1/messages \
--header 'x-api-key: <api-key>'import requests
url = "https://rest-api.smsmngr.com/v1/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rest-api.smsmngr.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messages": [
{
"message_id": "e27ff0ac-87b5-4e1d-b644-5fc6029e2a11",
"message_parts": 1,
"ts_sent": "2026-07-30T10:00:01Z",
"ts_delivered": "2026-07-30T10:00:04Z",
"ts_updated": "2026-07-30T10:00:05Z",
"ts_clicked": null,
"ts_seen": null,
"ts_replied": null,
"ts_optout": null,
"sent": 1,
"delivered": 1,
"seen": 0,
"clicked": 0,
"replied": 0,
"optout": 0,
"nondelivered": 0,
"body": "Hello world",
"flow": "sms",
"sender": "Mojefirma",
"phone_number": "420777123456",
"price_czk": "1.2",
"price_eur": "0.05"
}
],
"next_cursor": null
}{
"message": "Missing 'date' or 'xapikey' in request data"
}{
"message": "Failed to read messages"
}Stav zpráv
Vypsat odeslané zprávy podle data
Vypíše přehledové řádky zpráv po příjemcích pro zadané datum, se stránkováním pomocí kurzoru. Volitelně lze filtrovat podle tagu a/nebo telefonního čísla.
GET
/
messages
Vypsat odeslané zprávy podle data
Authorizations
Query Parameters
Datum (YYYY-MM-DD).
Id podúčtu.
Filtr podle tagu (tagy oddělené čárkou jsou před porovnáním normalizovány a seřazeny).
Filtr podle telefonního čísla příjemce.
Kurzor stránkování z předchozí odpovědi (next_cursor).
Was this page helpful?
⌘I